portable.h File Reference
`#include "deprecated_definitions.h"`
`#include "portmacro.h"`
`#include "mpu_wrappers.h"`
Include dependency graph for portable.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | HeapRegion

## Macros

#define | portBYTE_ALIGNMENT_MASK ( 0x0007 )
#define | portNUM_CONFIGURABLE_REGIONS 1

## Typedefs

typedef struct HeapRegion | HeapRegion_t

## Functions

StackType_t * | pxPortInitialiseStack (StackType_t *pxTopOfStack, TaskFunction_t pxCode, void *pvParameters) PRIVILEGED_FUNCTION
void | vPortDefineHeapRegions (const HeapRegion_t *const pxHeapRegions) PRIVILEGED_FUNCTION
void * | pvPortMalloc (size_t xSize) PRIVILEGED_FUNCTION
void | vPortFree (void *pv) PRIVILEGED_FUNCTION
void | vPortInitialiseBlocks (void) PRIVILEGED_FUNCTION
size_t | xPortGetFreeHeapSize (void) PRIVILEGED_FUNCTION
size_t | xPortGetMinimumEverFreeHeapSize (void) PRIVILEGED_FUNCTION
BaseType_t | xPortStartScheduler (void) PRIVILEGED_FUNCTION
void | vPortEndScheduler (void) PRIVILEGED_FUNCTION

## Macro Definition Documentation

## portBYTE_ALIGNMENT_MASK

#define portBYTE_ALIGNMENT_MASK ( 0x0007 )

## portNUM_CONFIGURABLE_REGIONS

#define portNUM_CONFIGURABLE_REGIONS 1

## Typedef Documentation

## HeapRegion_t

typedef struct HeapRegion HeapRegion_t

## Function Documentation

## pvPortMalloc()

void* pvPortMalloc | ( | size_t | xSize | ) |

Here is the call graph for this function:
Here is the caller graph for this function:

## pxPortInitialiseStack()

StackType_t* pxPortInitialiseStack | ( | StackType_t * | pxTopOfStack,
|  | TaskFunction_t | pxCode,
|  | void * | pvParameters
| ) |  |

Here is the call graph for this function:
Here is the caller graph for this function:

## vPortDefineHeapRegions()

void vPortDefineHeapRegions | ( | const HeapRegion_t *const | pxHeapRegions | ) |

## vPortEndScheduler()

void vPortEndScheduler | ( | void |  | ) |

Here is the caller graph for this function:

## vPortFree()

void vPortFree | ( | void * | pv | ) |

Here is the caller graph for this function:

## vPortInitialiseBlocks()

void vPortInitialiseBlocks | ( | void |  | ) |

## xPortGetFreeHeapSize()

size_t xPortGetFreeHeapSize | ( | void |  | ) |

## xPortGetMinimumEverFreeHeapSize()

size_t xPortGetMinimumEverFreeHeapSize | ( | void |  | ) |

## xPortStartScheduler()

BaseType_t xPortStartScheduler | ( | void |  | ) |

Here is the call graph for this function:
Here is the caller graph for this function: